Debian Bug report logs - #691972
ITP: smake -- A portable make program

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Eric Shattow <lucent@gmail.com>

Date: Wed, 31 Oct 2012 20:21:01 UTC

Owned by: Eric Shattow <shadow@serverart.org>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Eric Shattow <shadow@serverart.org>:
Bug#691972; Package wnpp. (Wed, 31 Oct 2012 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Shattow <lucent@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, Eric Shattow <shadow@serverart.org>. (Wed, 31 Oct 2012 20:21:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eric Shattow <lucent@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: smake -- A portable make program
Date: Wed, 31 Oct 2012 13:19:00 -0700
Package: wnpp
Severity: wishlist
Owner: Eric Shattow <shadow@serverart.org>

* Package name    : smake
  Version         : 1.2a49
  Upstream Author : Jörg Schilling <schilling@fokus.gmd.de>
* URL             : http://cdrecord.berlios.de/private/smake.html
* License         : GPL
  Programming Lang: C
  Description     : A portable make program

A portable make program optimized to be used with 'makefiles' smake
includes special automake features that allow to do easy portable
compilation.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Eric Shattow <shadow@serverart.org>:
Bug#691972; Package wnpp. (Wed, 31 Oct 2012 21:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joerg Jaspert <joerg@ganneff.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Eric Shattow <shadow@serverart.org>. (Wed, 31 Oct 2012 21:27:07 GMT) Full text and rfc822 format available.

Message #10 received at 691972@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@ganneff.de>
To: 691972@bugs.debian.org
Cc: Eric Shattow <lucent@gmail.com>, ftpmaster@debian.org
Subject: smake ITP
Date: Wed, 31 Oct 2012 22:23:44 +0100
Hi

please note that this package already was in Debian, it got removed
with #462152.

Please also keep in mind who the upstream author is, and the very much
unfriendly clima between him and Debian. There is a good reason why much
more useful software than smake from him is not in Debian. Using google
or just the Debian listarchives will give you lots of hits, if you want
to waste some time going over it.

Basically, unless you have a very good reason to package this (any
important other software you want to package that depends on this?),
there is a strong recommendation to *not* try to upload this to Debian.
It is unlikely that it will get accepted.

-- 
bye, Joerg
But Marge, what if we chose the wrong religion? Each week we just make
God madder and madder.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Eric Shattow <shadow@serverart.org>:
Bug#691972; Package wnpp. (Wed, 31 Oct 2012 23:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Shattow <lucent@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Eric Shattow <shadow@serverart.org>. (Wed, 31 Oct 2012 23:27:05 GMT) Full text and rfc822 format available.

Message #15 received at 691972@bugs.debian.org (full text, mbox):

From: Eric Shattow <lucent@gmail.com>
To: Joerg Jaspert <joerg@ganneff.de>
Cc: 691972@bugs.debian.org, ftpmaster@debian.org
Subject: Re: smake ITP
Date: Wed, 31 Oct 2012 16:26:19 -0700
I am okay if the author is not my friend. Any technical reason to not
have smake in Debian reposoitory?

On Wed, Oct 31, 2012 at 2:23 PM, Joerg Jaspert <joerg@ganneff.de> wrote:
> Hi
>
> please note that this package already was in Debian, it got removed
> with #462152.
>
> Please also keep in mind who the upstream author is, and the very much
> unfriendly clima between him and Debian. There is a good reason why much
> more useful software than smake from him is not in Debian. Using google
> or just the Debian listarchives will give you lots of hits, if you want
> to waste some time going over it.
>
> Basically, unless you have a very good reason to package this (any
> important other software you want to package that depends on this?),
> there is a strong recommendation to *not* try to upload this to Debian.
> It is unlikely that it will get accepted.
>
> --
> bye, Joerg
> But Marge, what if we chose the wrong religion? Each week we just make
> God madder and madder.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Eric Shattow <shadow@serverart.org>:
Bug#691972; Package wnpp. (Thu, 01 Nov 2012 08:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Eric Shattow <shadow@serverart.org>. (Thu, 01 Nov 2012 08:24:03 GMT) Full text and rfc822 format available.

Message #20 received at 691972@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Eric Shattow <lucent@gmail.com>, 691972@bugs.debian.org
Cc: Joerg Jaspert <joerg@ganneff.de>, ftpmaster@debian.org
Subject: Re: Bug#691972: smake ITP
Date: Thu, 1 Nov 2012 08:19:19 +0000
On Wed, Oct 31, 2012 at 04:26:19PM -0700, Eric Shattow wrote:
>On Wed, Oct 31, 2012 at 2:23 PM, Joerg Jaspert <joerg@ganneff.de> wrote:
>>
>> Basically, unless you have a very good reason to package this (any
>> important other software you want to package that depends on this?),
>> there is a strong recommendation to *not* try to upload this to Debian.
>> It is unlikely that it will get accepted.
>
>I am okay if the author is not my friend. Any technical reason to not
>have smake in Debian reposoitory?

Seriously - a hostile upstream is a bad thing if you want software to
work well in Debian. And Schily is about as hostile as they
get. Again, do you have a massive need for smake?

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"Every time you use Tcl, God kills a kitten." -- Malcolm Ray




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:26:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.